<!DOCTYPE html>





<html lang="zh-CN">
<head>
  <meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=2">
<meta name="theme-color" content="#00896C">
<meta name="generator" content="Hexo 3.9.0">
  <link rel="apple-touch-icon" sizes="180x180" href="/images/favicon-128x128.ico?v=7.4.1">
  <link rel="icon" type="image/png" sizes="32x32" href="/images/favicon-32x32.ico?v=7.4.1">
  <link rel="icon" type="image/png" sizes="16x16" href="/images/favicon-16x16.ico?v=7.4.1">
  <link rel="mask-icon" href="/images/logo.svg?v=7.4.1" color="#00896C">

<link rel="stylesheet" href="/css/main.css?v=7.4.1">

<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Monda:300,300italic,400,400italic,700,700italic|Roboto Slab:300,300italic,400,400italic,700,700italic|PT Mono:300,300italic,400,400italic,700,700italic&display=swap&subset=latin,latin-ext">
<link rel="stylesheet" href="/lib/font-awesome/css/font-awesome.min.css?v=4.7.0">


<script id="hexo-configurations">
  var NexT = window.NexT || {};
  var CONFIG = {
    root: '/',
    scheme: 'Muse',
    version: '7.4.1',
    exturl: false,
    sidebar: {"position":"left","display":"post","offset":12,"onmobile":false},
    copycode: {"enable":false,"show_result":false,"style":null},
    back2top: {"enable":true,"sidebar":false,"scrollpercent":false},
    bookmark: {"enable":false,"color":"#00896C","save":"auto"},
    fancybox: false,
    mediumzoom: false,
    lazyload: false,
    pangu: false,
    algolia: {
      appID: '',
      apiKey: '',
      indexName: '',
      hits: {"per_page":10},
      labels: {"input_placeholder":"Search for Posts","hits_empty":"We didn't find any results for the search: ${query}","hits_stats":"${hits} results found in ${time} ms"}
    },
    localsearch: {"enable":false,"trigger":"auto","top_n_per_article":1,"unescape":false,"preload":false},
    path: '',
    motion: {"enable":true,"async":false,"transition":{"post_block":"fadeIn","post_header":"slideDownIn","post_body":"slideDownIn","coll_header":"slideLeftIn","sidebar":"slideUpIn"}},
    translation: {
      copy_button: '复制',
      copy_success: '复制成功',
      copy_failure: '复制失败'
    },
    sidebarPadding: 40
  };
</script>

  <meta name="description" content="自由、免费、可靠、安全、稳定，以网络为核心的设计思想，继承以Unix性能稳定多用户、多任务、多线程、多CPU的操作系统">
<meta name="keywords" content="linux,base">
<meta property="og:type" content="article">
<meta property="og:title" content="Linux Command">
<meta property="og:url" content="https://tianlin.space/2019/10/08/linux-command/index.html">
<meta property="og:site_name" content="Tianlin Beta">
<meta property="og:description" content="自由、免费、可靠、安全、稳定，以网络为核心的设计思想，继承以Unix性能稳定多用户、多任务、多线程、多CPU的操作系统">
<meta property="og:locale" content="zh-CN">
<meta property="og:updated_time" content="2019-10-10T01:22:07.701Z">
<meta name="twitter:card" content="summary">
<meta name="twitter:title" content="Linux Command">
<meta name="twitter:description" content="自由、免费、可靠、安全、稳定，以网络为核心的设计思想，继承以Unix性能稳定多用户、多任务、多线程、多CPU的操作系统">
  <link rel="canonical" href="https://tianlin.space/2019/10/08/linux-command/">


<script id="page-configurations">
  // https://hexo.io/docs/variables.html
  CONFIG.page = {
    sidebar: "",
    isHome: false,
    isPost: true,
    isPage: false,
    isArchive: false
  };
</script>

  <title>Linux Command | Tianlin Beta</title>
  








  <noscript>
  <style>
  .use-motion .brand,
  .use-motion .menu-item,
  .sidebar-inner,
  .use-motion .post-block,
  .use-motion .pagination,
  .use-motion .comments,
  .use-motion .post-header,
  .use-motion .post-body,
  .use-motion .collection-header { opacity: initial; }

  .use-motion .logo,
  .use-motion .site-title,
  .use-motion .site-subtitle {
    opacity: initial;
    top: initial;
  }

  .use-motion .logo-line-before i { left: initial; }
  .use-motion .logo-line-after i { right: initial; }
  </style>
</noscript>

</head>

<body itemscope itemtype="http://schema.org/WebPage">
  <div class="container use-motion">
    <div class="headband"></div>

    <header id="header" class="header" itemscope itemtype="http://schema.org/WPHeader">
      <div class="header-inner"><div class="site-brand-container">
  <div class="site-meta">

    <div>
      <a href="/" class="brand" rel="start">
        <span class="logo-line-before"><i></i></span>
        <span class="site-title">Tianlin Beta</span>
        <span class="logo-line-after"><i></i></span>
      </a>
    </div>
  </div>

  <div class="site-nav-toggle">
    <div class="toggle" aria-label="切换导航栏">
      <span class="toggle-line toggle-line-first"></span>
      <span class="toggle-line toggle-line-middle"></span>
      <span class="toggle-line toggle-line-last"></span>
    </div>
  </div>
</div>


<nav class="site-nav">
  
  <ul id="menu" class="menu">
      
      
      
        
        <li class="menu-item menu-item-home">
      
    

    <a href="/" rel="section"><i class="fa fa-fw fa-home"></i>首页</a>

  </li>
      
      
      
        
        <li class="menu-item menu-item-about">
      
    

    <a href="/about/" rel="section"><i class="fa fa-fw fa-user"></i>关于</a>

  </li>
      
      
      
        
        <li class="menu-item menu-item-tags">
      
    

    <a href="/tags/" rel="section"><i class="fa fa-fw fa-tags"></i>标签</a>

  </li>
      
      
      
        
        <li class="menu-item menu-item-categories">
      
    

    <a href="/categories/" rel="section"><i class="fa fa-fw fa-th"></i>分类</a>

  </li>
      
      
      
        
        <li class="menu-item menu-item-archives">
      
    

    <a href="/archives/" rel="section"><i class="fa fa-fw fa-archive"></i>归档</a>

  </li>
  </ul>

    

</nav>
</div>
    </header>

    
  <div class="back-to-top">
    <i class="fa fa-arrow-up"></i>
    <span>0%</span>
  </div>


    <main id="main" class="main">
      <div class="main-inner">
        <div class="content-wrap">
          <div id="content" class="content">
            

  <div class="posts-expand">
      
  
  
  <article itemscope itemtype="http://schema.org/Article" class="post-block " lang="zh-CN">
    <link itemprop="mainEntityOfPage" href="https://tianlin.space/2019/10/08/linux-command/">

    <span hidden itemprop="author" itemscope itemtype="http://schema.org/Person">
      <meta itemprop="name" content="Tianlin">
      <meta itemprop="description" content="">
      <meta itemprop="image" content="/images/avatar.gif">
    </span>

    <span hidden itemprop="publisher" itemscope itemtype="http://schema.org/Organization">
      <meta itemprop="name" content="Tianlin Beta">
    </span>
      <header class="post-header">
        <h1 class="post-title" itemprop="name headline">Linux Command

          
        </h1>

        <div class="post-meta">
            <span class="post-meta-item">
              <span class="post-meta-item-icon">
                <i class="fa fa-calendar-o"></i>
              </span>
              <span class="post-meta-item-text">发表于</span>

              
                
              

              <time title="创建时间：10月 8日 19 16:17:41" itemprop="dateCreated datePublished" datetime="2019-10-08T16:17:41+08:00">10月 8日 19</time>
            </span>
          
            

            
              <span class="post-meta-item">
                <span class="post-meta-item-icon">
                  <i class="fa fa-calendar-check-o"></i>
                </span>
                <span class="post-meta-item-text">更新于</span>
                <time title="修改时间：10月 10日 19 09:22:07" itemprop="dateModified" datetime="2019-10-10T09:22:07+08:00">10月 10日 19</time>
              </span>
            
          
            <span class="post-meta-item">
              <span class="post-meta-item-icon">
                <i class="fa fa-folder-o"></i>
              </span>
              <span class="post-meta-item-text">分类于</span>
              
                <span itemprop="about" itemscope itemtype="http://schema.org/Thing"><a href="/categories/linux/" itemprop="url" rel="index"><span itemprop="name">linux</span></a></span>

                
                
              
            </span>
          

          

        </div>
      </header>

    
    
    
    <div class="post-body" itemprop="articleBody">

      
        <p>自由、免费、可靠、安全、稳定，以网络为核心的设计思想，继承以<code>Unix</code>性能稳定多用户、多任务、多线程、多CPU的操作系统</p><a id="more"></a>
<ul>
<li>查看当前操作系统发行版详细信息</li>
</ul>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">[root@tianlin /]# lsb_release -a</span><br><span class="line">Distributor ID: CentOS</span><br><span class="line">Description:    CentOS Linux release 7.6.1810 (Core) </span><br><span class="line">Release:    7.6.1810</span><br><span class="line">Codename:   Core</span><br></pre></td></tr></table></figure>

<ul>
<li>查看当前操作系统内存硬件信息</li>
</ul>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br></pre></td><td class="code"><pre><span class="line">[root@tianlin /]# dmidecode -t memory</span><br><span class="line"># dmidecode 3.1</span><br><span class="line">Getting SMBIOS data from sysfs.</span><br><span class="line">SMBIOS 2.8 present.</span><br><span class="line"></span><br><span class="line">Handle 0x1000, DMI type 16, 23 bytes</span><br><span class="line">Physical Memory Array</span><br><span class="line">    Location: Other</span><br><span class="line">    Use: System Memory</span><br><span class="line">    Error Correction Type: Multi-bit ECC</span><br><span class="line">    Maximum Capacity: 8 GB</span><br><span class="line">    Error Information Handle: Not Provided</span><br><span class="line">    Number Of Devices: 1</span><br><span class="line"></span><br><span class="line">Handle 0x1100, DMI type 17, 40 bytes</span><br><span class="line">Memory Device</span><br><span class="line">    Array Handle: 0x1000</span><br><span class="line">    Error Information Handle: Not Provided</span><br><span class="line">    Total Width: Unknown</span><br><span class="line">    Data Width: Unknown</span><br><span class="line">    Size: 8192 MB</span><br><span class="line">    Form Factor: DIMM</span><br><span class="line">    Set: None</span><br><span class="line">    Locator: DIMM 0</span><br><span class="line">    Bank Locator: Not Specified</span><br><span class="line">    Type: RAM</span><br><span class="line">    Type Detail: Other</span><br><span class="line">    Speed: Unknown</span><br><span class="line">    Manufacturer: Alibaba Cloud</span><br><span class="line">    Serial Number: Not Specified</span><br><span class="line">    Asset Tag: Not Specified</span><br><span class="line">    Part Number: Not Specified</span><br><span class="line">    Rank: Unknown</span><br><span class="line">    Configured Clock Speed: Unknown</span><br><span class="line">    Minimum Voltage: Unknown</span><br><span class="line">    Maximum Voltage: Unknown</span><br><span class="line">    Configured Voltage: Unknown</span><br></pre></td></tr></table></figure>

<ul>
<li>查看当前操作系统硬盘和分区分布</li>
</ul>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">[root@tianlin /]# lsblk</span><br><span class="line">NAME   MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT</span><br><span class="line">vda    253:0    0  300G  0 disk </span><br><span class="line">└─vda1 253:1    0  300G  0 part /</span><br><span class="line">Codename:   Core</span><br></pre></td></tr></table></figure>

<ul>
<li><code>Cron</code>是一个可以在<code>Unix/Linux</code>等操作系统执行强大的任务计划程序，通过设置设定的时间运行命令实现脚本自动化</li>
</ul>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br></pre></td><td class="code"><pre><span class="line">minute  hour    day   month   dayofweek command</span><br><span class="line">&lt;分钟&gt;  &lt;小时&gt;  &lt;日&gt;  &lt;月份&gt;  &lt;星期&gt;  &lt;命令&gt;</span><br><span class="line"></span><br><span class="line">#每天凌晨0点执行</span><br><span class="line">00 00 * * * /server/php7.3.9/php /htdocs/example.web.com/action/post/push.php</span><br><span class="line">#每10分钟执行一次</span><br><span class="line">*/10 * * * * /server/php7.3.9/php /htdocs/example.web.com/action/post/total.php</span><br><span class="line">#每小时执行</span><br><span class="line">0 * * * * /server/php7.3.9/php /htdocs/example.web.com/action/post/example.php</span><br><span class="line">#每天执行</span><br><span class="line">0 0 * * * /server/php7.3.9/php /htdocs/example.web.com/action/post/example.php</span><br><span class="line">#每周执行</span><br><span class="line">0 0 * * 0 /server/php7.3.9/php /htdocs/example.web.com/action/post/example.php</span><br><span class="line">#每月执行</span><br><span class="line">0 0 1 * * /server/php7.3.9/php /htdocs/example.web.com/action/post/example.php</span><br><span class="line">#每年执行</span><br><span class="line">0 0 1 1 * /server/php7.3.9/php /htdocs/example.web.com/action/post/example.php</span><br></pre></td></tr></table></figure>


    </div>

    
    
    
        
      

      <footer class="post-footer">
          
            
          
          <div class="post-tags">
            
              <a href="/tags/linux/" rel="tag"># linux</a>
            
              <a href="/tags/base/" rel="tag"># base</a>
            
          </div>
        

        

          <div class="post-nav">
            <div class="post-nav-next post-nav-item">
              
                <a href="/2019/10/08/hello-world/" rel="next" title="Hello World">
                  <i class="fa fa-chevron-left"></i> Hello World
                </a>
              
            </div>

            <span class="post-nav-divider"></span>

            <div class="post-nav-prev post-nav-item">
              
                <a href="/2019/10/09/git-command/" rel="prev" title="Git Command">
                  Git Command <i class="fa fa-chevron-right"></i>
                </a>
              
            </div>
          </div>
        
      </footer>
    
  </article>
  
  
  

  </div>


          </div>
          

        </div>
          
  
  <div class="toggle sidebar-toggle">
    <span class="toggle-line toggle-line-first"></span>
    <span class="toggle-line toggle-line-middle"></span>
    <span class="toggle-line toggle-line-last"></span>
  </div>

  <aside class="sidebar">
    <div class="sidebar-inner">
        
        
        
        
      

      <ul class="sidebar-nav motion-element">
        <li class="sidebar-nav-toc">
          文章目录
        </li>
        <li class="sidebar-nav-overview">
          站点概览
        </li>
      </ul>

      <!--noindex-->
      <div class="post-toc-wrap sidebar-panel">
      </div>
      <!--/noindex-->

      <div class="site-overview-wrap sidebar-panel">
        <div class="site-author motion-element" itemprop="author" itemscope itemtype="http://schema.org/Person">
  <p class="site-author-name" itemprop="name">Tianlin</p>
  <div class="site-description" itemprop="description"></div>
</div>
<div class="site-state-wrap motion-element">
  <nav class="site-state">
      <div class="site-state-item site-state-posts">
        
          <a href="/archives/">
        
          <span class="site-state-item-count">4</span>
          <span class="site-state-item-name">日志</span>
        </a>
      </div>
    
      
      
      <div class="site-state-item site-state-categories">
        
        <span class="site-state-item-count">5</span>
        <span class="site-state-item-name">分类</span>
        
      </div>
    
      
      
      <div class="site-state-item site-state-tags">
        
        <span class="site-state-item-count">7</span>
        <span class="site-state-item-name">标签</span>
        
      </div>
    
  </nav>
</div>



      </div>

    </div>
  </aside>
  <div id="sidebar-dimmer"></div>


      </div>
    </main>

    <footer id="footer" class="footer">
      <div class="footer-inner">
        <div class="copyright">&copy; <span itemprop="copyrightYear">2019</span>
  <span class="with-love" id="animate">
    <i class="fa fa-user"></i>
  </span>
  <span class="author" itemprop="copyrightHolder">Tianlin</span>
</div>

<!--
  <div class="powered-by">由 <a href="https://hexo.io" class="theme-link" rel="noopener" target="_blank">Hexo</a> 强力驱动 v3.9.0</div>
-->
  <span class="post-meta-divider">Give you color see see ^_^</span>

<!--
  <div class="theme-info">主题 – <a href="https://theme-next.org" class="theme-link" rel="noopener" target="_blank">NexT.Muse</a> v7.4.1</div>
-->

        












        
      </div>
    </footer>
  </div>

  
    
  
  <script color='0,0,255' opacity='0.5' zIndex='-1' count='99' src="/lib/canvas-nest/canvas-nest.min.js"></script>
  <script src="/lib/anime.min.js?v=3.1.0"></script>
  <script src="/lib/velocity/velocity.min.js?v=1.2.1"></script>
  <script src="/lib/velocity/velocity.ui.min.js?v=1.2.1"></script>
<script src="/js/utils.js?v=7.4.1"></script><script src="/js/motion.js?v=7.4.1"></script>
<script src="/js/schemes/muse.js?v=7.4.1"></script>
<script src="/js/next-boot.js?v=7.4.1"></script>



  





















  

  

  

</body>
</html>
